import Session from '../Services/Identity/Session';
import InventoryActionsConfigurationEntity from './Entity/InventoryActionsConfigurationEntity';
import { InventoryActionsConfigurationCreateResponse, InventoryActionsConfigurationGetAllResponse } from './InventoryActionsConfiguration.consts';
export default class InventoryActionsConfiguration {
    private InventoryActionsConfigurationEntity;
    constructor(session: Session);
    getAll(): Promise<InventoryActionsConfigurationGetAllResponse>;
    create(inventoryActionConfiguration: Partial<InventoryActionsConfigurationEntity>): Promise<InventoryActionsConfigurationCreateResponse>;
    update(id: number, inventoryActionConfiguration: Partial<InventoryActionsConfigurationEntity>): Promise<InventoryActionsConfigurationCreateResponse>;
    delete(id: number): Promise<boolean>;
}
